Arch RemoveShape/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 4: Line 4:
{{docnav/ro|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_CloseHoles|Close Holes]]|[[Arch_Workbench|Arch]]|IconL=Arch_SelectNonSolidMeshes.png |IconC=Workbench_Arch.svg |IconR=Arch_CloseHoles.svg}}
{{docnav/ro|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_CloseHoles|Close Holes]]|[[Arch_Workbench|Arch]]|IconL=Arch_SelectNonSolidMeshes.png |IconC=Workbench_Arch.svg |IconR=Arch_CloseHoles.svg}}
</div>
</div>

{{VeryImportantMessage|THIS COMMAND IS PART OF THE INTEGRATED [[BIM_Workbench|BIM WORKBENCH]] IN V1.0<br>
This page has been updated for that version.}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 14: Line 17:
</div>
</div>


<span id="Description"></span>
==Descriere==
==Descriere==


Line 20: Line 24:
</div>
</div>


<span id="Usage"></span>
== Cum se folosește ==
== Cum se folosește ==


Line 65: Line 70:
</div>
</div>


{{Arch_Tools_navi{{#translation:}}}}
{{BIM_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 14:41, 11 June 2024

THIS COMMAND IS PART OF THE INTEGRATED BIM WORKBENCH IN V1.0
This page has been updated for that version.

Arch RemoveShape

poziția meniului
Arch → Utilities → Remove Shape
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch MeshToShape

Descriere

Acest instrument încearcă să înlăture forma cubică interioară a unui Arch Wall sau Arch Structure și să-și ajusteze proprietățile, făcând-o complet parametrică. Acest instrument va funcționa numai dacă forma subiacentă este cubică (exact 6 fețe, toate colțurile au doar unghiuri drepte).

Cum se folosește

  1. Selectați un Arch Wall sau o Arch Structure
  2. Apăsați tasta Remove Shape din meniul Arch -> Utilities menu

Scripting

Scrip-Programare

Acest instrument poate fi utilizat în macros și din consola Python utilizând următoarea funcție:

removeShape(objs, mark=True)

ia un obiect arc (perete sau o structură) construit pe o formă cubică și îndepărtează forma interioară, păstrând lungimea, lățimea și înălțimea ca parametri.

import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()